![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/new-arcmenu-wide-banner.png)

-----

![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/arcmenu-browser.png)

-----

### Introduction

Arc Menu is an application menu for GNOME shell, designed to provide a more traditional user experience and workflow. This extension has many features, including multiple menu layout styles, GNOME search, quick access to system shorctus, and more! If you are a new user to GNOME and are looking for a Windows style start menu, this extension will be perfect for you!

-----

### Donation

<details>
<summary><b>Disclaimer..</b></summary>

<p>

*Disclaimer: all donations are non refundable so please take care at the time of donation that you donate the intended correct amount, thank you Arc Menu Team.*

</p>
</details>

ArcMenu is provided free of charge. If you enjoy using ArcMenu and wish to make a donation, feel free to use the link below!

[![Donate via Paypal](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/donate-button-alt.png)](https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=53CWA7NR743WC&item_name=Donate+to+support+my+work&currency_code=USD&source=url)

-----

#### Arc Menu integrated with [Dash-to-Panel](https://extensions.gnome.org/extension/1160/dash-to-panel/)

-----

![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/comp-screen-arcmenu-wide.png)

-----

#### Arc Menu integrated with [Dash-to-Dock](https://extensions.gnome.org/extension/307/dash-to-dock/)

-----

![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/dash-to-dock-inter-screen.png)

-----

### Installation

#### To install the most recent official release: Visit ArcMenu on the [Official GNOME Extensions](https://extensions.gnome.org/extension/1228/arc-menu/) website.

- **To install a Development version from source**: Please see the: [Install From Source wiki Guide](https://gitlab.com/LinxGem33/Arc-Menu/-/wikis/Install%20From%20Source%20Guide).

<p align="left">
       <a href="https://extensions.gnome.org/extension/1228/arc-menu/" >
    <img src="https://gitlab.com/LinxGem33/Neon/raw/master/artwork/get-it-ego.png" width="240" style="margin-left: 4px"/>
    </a>

-----

### Dependencies

__Please note:__ For Arc-Menu to work properly, your GNOME Desktop must have the
following [dependencies installed](https://gitlab.com/LinxGem33/Arc-Menu/wikis/Arc-Menu-Dependencies).

-----

### Bugs

Bugs should be reported [here](https://gitlab.com/arcmenu/ArcMenu/issues) on the GitLab issues page.

-----

Please note that without any information about your system, the Arc Menu Team can only speculate what the problem is.
So, please provide us information about your GNU/Linux distribution and the GNOME Shell version. Otherwise, we are not able to try and solve your problem.

-----

### Conduct

There are basic rules of conduct that should be followed at all times by everyone participating in the discussions.  While this is generally a relaxed environment, please remember the following:

- Do not insult, harass, or demean anyone.
- Do not intentionally multi-post an issue.
- Do not use ALL CAPS when creating an issue report.
- Do not repeatedly update an open issue remarking that the issue persists.

**Remember**: Just because the issue you reported was reported here does not mean that it is an issue with Arc menu. As well, should your issue not be resolved immediately, it does not mean that a resolution is not being researched or tested. Patience is always appreciated.

-----

[![GNU GPL Image](https://www.gnu.org/graphics/slickgnu.tiny.png)](http://www.gnu.org/licenses/old-licenses/lgpl-2.0.html)  
### License & Terms ![](https://gitlab.com/LinxGem33/IP-Finder/raw/master/screens/Copyleft-16.png)

Arc Menu is available under the terms of the GPL-2.0 license See [`COPYING`](https://gitlab.com/arcmenu/ArcMenu/blob/master/COPYING) for details.

Arc-Menu is Free Software: You can use, study share and improve it at your will. Specifically you can redistribute and/or modify it under the terms of the [GNU General Public License](https://www.gnu.org/licenses/gpl.html) as published by the Free Software Foundation, either version 2 of the License, or (at your option) any later version. 

All ArcMenu's Image assets including wiki images, icons and application image assets are created by [LinxGem33](https://gitlab.com/LinxGem33) and licensed under; [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/)

Exceptions - Trademarked icons (logo) (name) please see `Legal disclaimer for brand icons and trademarks` below regarding Distro icons section for more details.

<details>
<summary><b>Legal disclaimer for brand icons and trademarks..</b></summary>

<p>

*" All brand icons are trademarks of their respective owners. The use of these trademarks does not indicate endorsement of the trademark holder by Arc Menu project, nor vice versa. Please do not use brand logos for any purpose except to represent the company, product, or service to which they refer. "*

* **UBUNTU ![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg)** - Ubuntu name and Ubuntu logo is a trademark of Canonical ![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg) Ltd.

* **FEDORA ![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg)** - Fedora and the Infinity design logo are trademarks of Red Hat, Inc.

* **DEBIAN ![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg)** - is a registered trademark owned by Software in the Public Interest, Inc. Debian trademark is a registered United States trademark of Software in the Public Interest, Inc., managed by the Debian project.

* **MANJARO ![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg)** - (logo) and name is a trademark of Manjaro GmbH & Co. KG

* **POP_OS! ![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg)** - Name and (logo) is a trademark of system 76 ![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg) Inc.

* **ARCH LINUX ![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg)** - The stylized Arch Linux logo are recognised trademarks of Arch Linux, copyright 2002-2017 Judd Vinet and Aaron Griffin

* **SOLUS** - name and logo is Copyright ![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg) 2014-2018 by Solus Project

* **KALI LINUX** - logo and name is part of ![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg) OffSec Services Limited 2020

* **PUREOS** - name and logo is developed by members of the Purism community

* **RASPBERRY PI** ![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg) - Logo and name is part of Raspberry Pi Foundation
UK Registered Charity 1129409

* **Gentoo Authors![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg)** 2001–2020
Gentoo is a trademark of the Gentoo Foundation, Inc.

* **Voyager ![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg) Linux**
(name) and (logo)

* **MXLinux![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg)** 2020 -
Linux - is the registered trademark of Linus Torvalds in the U.S. and other countries.

* **Red Hat, Inc.![](https://gitlab.com/arcmenu/arcmenu-assets/raw/master/images/copyright2.svg)** Copyright 2020 
(name) and (logo)

</p>
</details>

-----

### Credits

**ArcMenu is currently developed and maintained by @AndrewZaech**

**A big thank you to @[LinxGem33](https://gitlab.com/LinxGem33) - The founder of ArcMenu and previous project maintainer**

<details>
<summary><b>Additional credits:</b></summary>

<p>

-----

* This extension leverages the work from [Giovanni Campagna ](https://git.gnome.org//browse/gnome-shell-extensions) gnome Application Menu to allow the menu to be embedded in the Gnome main panel.
* This extension also leverages some of the design elements for the default menu layout (ArcMenu) from Zorin OS.
* This extension also uses some code from gnome-shell adapted to be used for ArcMenu.
* This extension also uses adapted code from Dash to Panel's Utils.js.
* This extension also uses some code from gnome-shell-extensions package for use with external file sources adapted to be used for ArcMenu.

-----

</p>
</details>



<details>
<summary><b>List of Contributors</b></summary>

<p>

-----

<details>
<summary><b>Top Project Contributors</b></summary>

<p>

-----

### Top Project Contributors

#### @[lexruee](https://github.com/lexruee) - **Project Contributor** - UI/UX Designer | - @[Thomas Ingvarsson](https://gitlab.com/tingvarsson) - **Project Contributor** - Developer

#### @[charlesg99](https://github.com/charlesg99) - **Project Contributor** - Developer 

</p>
</details>

<details>
<summary><b>Other Project Contributors</b></summary>

<p>

### Pull Requests

#### Thanks to the following people for contributing via pull requests:

-----

**@[fishears](https://github.com/fishears/Arc-Menu)** | **@[JasonLG1979](https://github.com/JasonLG1979)** | **@[itmitica](https://github.com/itmitica)** | **@[vikaig](https://gitlab.com/vikaig)** | **@[MagneFire](https://gitlab.com/MagneFire)** | **@[tognee](https://gitlab.com/tognee)** | **@[hlechner](https://gitlab.com/hlechner)**

-----

#### Bug Fixes:

-----

**@[JasonLG1979](https://github.com/JasonLG1979)**  | **@[lexruee](https://github.com/lexruee/Arc-Menu)**

</p>
</details>

<details>
<summary><b>Translators</b></summary>
<p>

#### Please refer to the Wiki section for a [Translation Guide](https://gitlab.com/LinxGem33/Arc-Menu/wikis/Translation-Guide)

- **Current translated languages and translators..**

-----

**- @[Nilvus](https://gitlab.com/Nilvus) - French** | **- @[Etamuk](https://gitlab.com/Etamuk) - German** | **- @[alex4401](https://gitlab.com/alex4401) - Polish** | **- @[frnogueira](https://gitlab.com/frnogueira) - Brazilian Portuguese** | **- @[sigbjokj](https://gitlab.com/sigbjokj) - Norwegian** |

-----

 **- @[AlexWayfer](https://gitlab.com/AlexWayfer) - Russian** | **- @[gkkulik](https://gitlab.com/gkkulik) - Silesian** | **- @[vikaig](https://gitlab.com/vikaig) - Ukrainian** | **- @[jordim](https://gitlab.com/jordim) - Catalan** | **- @[aylinux](https://gitlab.com/aylinux) - Turkish** |
 
-----

 **- @[MorganAntonsson](https://gitlab.com/MorganAntonsson) - Swedish** | **- @[jiri.doubravsky](https://gitlab.com/jiri.doubravsky) - czech** | **- @[juanlucer](https://gitlab.com/juanlucer) - Spanish** | **- @[plesry](https://gitlab.com/plesry) - Chinese (Taiwan)** |

-----

 **- @[Vombato](https://gitlab.com/Vombato) - Italian** | **- @[skygmin](https://gitlab.com/skygmin) - Simplified Chinese** | **- @[vinno97](https://gitlab.com/vinno97) - Dutch** | **- @[artnay](https://gitlab.com/artnay) - Finnish** |  **- @[rimasx](https://gitlab.com/rimasx) - Estonian** |
 
-----

 **- @[stevendobay](https://gitlab.com/stevendobay) - Hungarian** | **- @[omeritzics](https://gitlab.com/omeritzics) - Hebrew** |

</p>
</details>

-----
